eboard: chess board interface

FICS: Free Internet Chess Server
CentOS

Download

eboard is distributed as source code. You will need a C++ compiler and the GTK 2.x libraries (any version above 2.4.0). You also need to have Perl 5 installed. Most Linux distributions fulfill the above requirements.

Current Release: 1.1.1

eboard 1.1.1 was released on Feb 22nd, 2008. It fixes text overlapping on the seek graph, adds non-ASCII character filtering, allows text timestamps, provides better text searching and fixes promotions in peer-to-peer games. See the ChangeLog for further details.
    Download Source
    eboard-1.1.1.tar.bz2 (462 KB) from Sourceforge

    (release date: Feb 22nd, 2008)

    Binary Packages

    Linux RPM for i386 (32-bit): eboard-1.1.1-1.i386.rpm (631 KB) from Sourceforge
    Linux RPM for x86_64 (64-bit): eboard-1.1.1-1.x86_64.rpm (644 KB) from Sourceforge

    Linux RPM packages built on CentOS 4.5. Requirements: glibc >=2.3.0, GTK+ >=2.4.0.
Next Release: 1.1.2 scheduled for no later than April, 2008 the next ice age (the actual one, not the next cartoon movie).

eboard-extras

The eboard-extras packages are additional graphics and sounds for eboard. Unpack and install these after eboard has been installed. You can see examples of these graphics in the gallery section of the screenshots page.
    Extras Pack 1 (22 piece sets + 3 sounds)
    Download eboard-extras-1pl2.tar.gz (360 KB) from Sourceforge

    (release date: Sep 8th, 2001)

    Extras Pack 2 (12 piece sets + 10 sounds)
    Download eboard-extras-2.tar.gz (598 KB) from Sourceforge

    (release date: Jul 7th, 2003)

(old) eboard for GTK 1.2.x

eboard 0.9.5 was the last version of eboard based on GTK 1.2.x. On 32-bit systems it may be a bit more stable than the current 1.0 series. If you have problems with 1.0.0, try 0.9.5. For all previous versions, please visit the Project Page.

Compilation Instructions

Unpack the source code with the command tar jxvf eboard-1.1.0.tar.bz2, and follow the instructions in the README and INSTALL files.

To compile eboard with DGT board support you need to have dgtnix installed, version 1.7 or later. The file Documentation/DGTboard.txt in eboard's source distribution has detailed instructions for setting up dgtnix.


Locations of visitors to this page